Subject: She gives me head EVERY night now that I have such a large pecker

From: "Gavril Gastero" <[email-masked]>
Date: Tue, 5 Feb 2008 15:17:18 +0100

Love her the right way, the hard way - the LONG AND DEEP way.